AOZ Studio Beta - Bug #671

Amiga mode doesn't work properly for a new application
02/24/2021 07:14 PM - Paul Kitching

Status: Closed Start date: 02/24/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version: 1.0.0 (B7)

Affected version: 1.0.0 (B6a)

Description

Create a new application as an Amiga one, then do:
Print "test"

It will Guru with an Internal Error at line 1 column 1.

Old applications still work with an Amiga manifest.

History

#1 - 03/12/2021 01:21 PM - Brian Flanagan

- Status changed from New to Feedback

- Assignee changed from Francois Lionet to Brian Flanagan
It's working here. 1.0.0 (B4) as of 12 Mar 2021

Tried a new app:

#manifest: "amiga"
Print "test"

...without problems.

Are you still experiencing this problem?
If so, which OS are you on: Windows, macQOS, or Linux?

#2 - 03/13/2021 09:22 AM - Paul Kitching

Yes, as mentioned on Discord, | use Win 7 at home with Beta 4, and also tried it on a Win 10 PC and got the same results.

#3 - 03/27/2021 12:58 PM - Brian Flanagan

- Status changed from Feedback to In Progress

- Estimated time set to 2:00 h

- Affected version changed from 1.0.0 (B4) to 1.0.0 (B6a)

Tested in 1.0.0 (B6a) macOS.

Verified that New app with Amiga gets a Guru error. Investigating...

#4 - 03/27/2021 12:59 PM - Brian Flanagan

- Assignee changed from Brian Flanagan to Francois Lionet

#5 - 03/31/2021 04:57 PM - Francois Lionet

- Status changed from In Progress to Resolved

Corrected. Was due to the number of lines in the default text window not matching the height of the screen, resulting in a wrong calculation of the
height of the font.
The font was not found-> crash.
#6 - 04/01/2021 09:39 AM - Brian Flanagan
- Status changed from Resolved to Closed

- Target version set to 1.0.0 (B7)

No more guru in 1.0.0 (B7)
